Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1366899

Summary: [RFE][Tech-Preview] - overlay networks using OVN: allow to define virtual networks that can be encapsulated between hosts on nicless networks
Product: [oVirt] ovirt-engine Reporter: Yaniv Lavi <ylavi>
Component: BLL.NetworkAssignee: Marcin Mirecki <mmirecki>
Status: CLOSED CURRENTRELEASE QA Contact: Mor <mkalfon>
Severity: medium Docs Contact:
Priority: high    
Version: 4.0.0CC: amureini, bmcclain, bugs, danken, gklein, lpeer, lsurette, mburman, mmirecki, myakove, pablo.iranzo, rbalakri, srevivo, trichard, ykaul, ylavi
Target Milestone: ovirt-4.1.0-alphaKeywords: FutureFeature, TechPreview
Target Release: ---Flags: ylavi: ovirt-4.1?
bmcclain: priority_rfe_tracking+
mkalfon: testing_plan_complete+
rule-engine: planning_ack?
danken: devel_ack+
rule-engine: testing_ack+
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
This release adds support for overlay networks using Open Virtual Network (OVN) as a Technology Preview. This feature allows you to add OVN as an external network provider, and import or create networks from it in the Red Hat Virtualization Manager. You can then provision virtual machines with network interfaces connected using these logical overlays (OVN networks).
Story Points: ---
Clone Of: overlay_networks_support Environment:
Last Closed: 2017-02-15 15:01:22 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: Network RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1195208, 1362495, 1368043, 1369362, 1386514, 1390938, 1394555, 1397502, 1397504, 1416748, 1475772, 1477658, 1496194    
Bug Blocks: 988285, 1254213, 1420169    

Description Yaniv Lavi 2016-08-14 12:08:03 UTC
+++ This bug was initially created as a clone of Bug #1254213 +++

Description of problem:

It would be very useful to be able to define virtual networks encapsulated a-la OSP,  where not mapped networks to existing physical nics on hosts, could allows vm's to communicate between each other while isolating traffic.

This could allow to define set of vm's with backend/frontend networks with Vm's on different hosts .

Comment 1 Mor 2016-11-22 14:12:39 UTC
As per our last OVN session:
In oVirt engine, when we try to create OVN network subnet, without specifying IP gateway, the engine throws unfriendly (generic) error. In the background, OVN provider throws exception for missing IP gateway. In Neutron, the behaviour is different. We don't need to specify a gateway and it is calculated from the given CIDR. If we don't want to handle this scenario, we should at least document that the provider requires IP gateway address.

Comment 2 Mor 2017-01-18 09:49:23 UTC
Verified on version:
4.1.0-0.4.master.20170114212121.git874c11a.el7.centos

Comment 3 Tahlia Richardson 2017-02-06 08:04:29 UTC
I've added doc text appropriate for a release note based on the text in the feature page. Marcin, can you please check that it is correct? 

I'll create a docs bug with the links from the original doc text shortly.

Comment 4 Marcin Mirecki 2017-02-06 09:47:08 UTC
" and import networks from it to Red Hat Virtualization"

We can both import networks, or create new ones from RHV.
Maybe something like: ", import network into RHV, or create new external OVN networks from RHV"

"You can then define logical overlays"

I would say a network represents a logical overlay.
Maybe: "You can then use these logical overlays (OVN networks) to provision ..."

Comment 5 Tahlia Richardson 2017-02-07 00:00:55 UTC
Thanks Marcin. Text updated.